package com.diagbot.facade;

import com.diagbot.entity.DoctorAdvice;
import com.diagbot.service.impl.DoctorAdviceServiceImpl;
import com.diagbot.util.DBConn;

import java.util.List;

import com.diagbot.util.TZDBConn;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/12 11:39
 */
@Component
public class DoctorAdviceFacade extends DoctorAdviceServiceImpl {
	
	@Autowired
	private DoctorAdviceServiceImpl doctorAdviceServiceImpl;
	
	public void executeTZ() {
		List<DoctorAdvice> doctorAdviceList=TZDBConn.getDoctorAdvice();
		doctorAdviceServiceImpl.saveBatch(doctorAdviceList);
	}
}
