package com.diagbot.facade;

import java.util.List;

import com.diagbot.util.TZDBConn;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.entity.HomePage;
import com.diagbot.service.impl.HomePageServiceImpl;
import com.diagbot.util.DBConn;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/12 11:39
 */
@Component
public class HomePageFacade extends HomePageServiceImpl {
	@Autowired
	private HomePageServiceImpl homePageServiceImpl;
	
	public void executeTZ() {
		List<HomePage> homePageList=TZDBConn.getHomePage();
		homePageServiceImpl.saveBatch(homePageList);
	}
}
