package com.diagbot.facade;

import java.util.List;

import com.diagbot.util.TZDBConn;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.entity.MedicalRecordContent;
import com.diagbot.service.impl.MedicalRecordContentServiceImpl;
import com.diagbot.util.DBConn;

@Component
public class MedicalRecordContentFacade extends MedicalRecordContentServiceImpl {
	@Autowired
	private MedicalRecordContentServiceImpl medicalRecordContentServiceImpl;
	
	public void executeTZ() {
		List<MedicalRecordContent> mrContentList=TZDBConn.getMedicalRecordContent();
		medicalRecordContentServiceImpl.saveBatch(mrContentList);
	}
}
