package com.diagbot.facade;

import java.util.List;

import com.diagbot.util.TZDBConn;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.entity.MedRecordType;
import com.diagbot.service.impl.MedRecordTypeServiceImpl;
import com.diagbot.util.DBConn;

@Component
public class MedicalRecordTypeFacade extends MedRecordTypeServiceImpl{
	@Autowired
	private MedRecordTypeServiceImpl medRecordTypeServiceImpl;
	
	public void executeTZ() {
		List<MedRecordType> medRecordTypeList=TZDBConn.getMedicalRecordType();
		medRecordTypeServiceImpl.saveBatch(medRecordTypeList);
	}
}
