package com.diagbot.facade;

import com.diagbot.entity.HomeOperationInfo;
import com.diagbot.service.impl.HomeOperationInfoServiceImpl;
import com.diagbot.util.DBConn;

import java.util.List;

import com.diagbot.util.TZDBConn;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/12 11:39
 */
@Component
public class HomeOperationInfoFacade extends HomeOperationInfoServiceImpl {
	@Autowired
	private HomeOperationInfoServiceImpl homeOperationInfoServiceImpl;
	
	public void executeTZ() {
		List<HomeOperationInfo> homeOperationList=TZDBConn.getHomeOperation();
		homeOperationInfoServiceImpl.saveBatch(homeOperationList);
	}
}
