package com.diagbot.facade;

import com.diagbot.dto.RecordContentDTO;
import com.diagbot.entity.MedicalRecord;
import com.diagbot.service.impl.MedicalRecordServiceImpl;
import com.diagbot.util.DBConn;
import com.diagbot.util.TZDBConn;
import com.diagbot.vo.RecordContentVO;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/12 11:39
 */
@Component
public class MedicalRecordFacade extends MedicalRecordServiceImpl {

	@Autowired
	private MedicalRecordServiceImpl medicalRecordServiceImpl;
	
	public void executeTZ() {
		List<MedicalRecord> medicalRecordList=TZDBConn.getMedicalRecord();
		medicalRecordServiceImpl.saveBatch(medicalRecordList);
	}
	
    public List<RecordContentDTO> getRecordContentFac(RecordContentVO recordContentVO) {
        return getRecordContent(recordContentVO);
    }
    
    
}
